<?php

namespace Lc\CaracoleBundle\Controller\User;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Factory\User\GroupUserFactory;
use Lc\SovBundle\Controller\User\GroupUserAdminController as SovGroupUserAdminController;

abstract class GroupUserAdminController extends SovGroupUserAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $entityFqcn)
    {
        $factory = new GroupUserFactory();
        $currentMerchant = $this->get('merchant_resolver')->getCurrent();
        $factory->setMerchant($currentMerchant);
        return $factory->create();
    }
}
