<?php

namespace Lc\CaracoleBundle\Controller\Reminder;

use Lc\CaracoleBundle\Controller\AdminControllerTrait;
use Lc\CaracoleBundle\Factory\Reminder\ReminderFactory;
use Lc\SovBundle\Controller\Reminder\ReminderAdminController as SovReminderAdminController;

class ReminderAdminController extends SovReminderAdminController
{
    use AdminControllerTrait;

    public function createEntity(string $crudAction = null, string $crudControllerFqcn = null, int $entityId = null)
    {
        $factory = new ReminderFactory();
        return $factory
                ->setMerchant($this->get('merchant_resolver')->getCurrent())
                ->setSection($this->get('section_resolver')->getCurrent())
                ->create($crudAction, $crudControllerFqcn, $entityId);
    }
}
